Skip to content
Back to top
View this page

# Realtime

## Description

Portal for setting threads to realtime

Interface for setting a thread to realtime from within the sandbox. It is analogous to the org.freedesktop.RealtimeKit1 interface and will proxy requests there but with pid mapping. The latter is necessary in the case that sandbox has pid namespace isolation enabled.

Note that this proxy does not bypass any limitations that RealtimeKit imposes on processes which are documented here: https://git.0pointer.net/rtkit.git/tree/README

This documentation describes version 1 of this interface.

## Properties

### org.freedesktop.portal.Realtime:MaxRealtimePriority

    MaxRealtimePriority readable i

### org.freedesktop.portal.Realtime:MinNiceLevel

    MinNiceLevel readable i

### org.freedesktop.portal.Realtime:RTTimeUSecMax

    RTTimeUSecMax readable x

### org.freedesktop.portal.Realtime:version

    version readable u

## Methods

### org.freedesktop.portal.Realtime.MakeThreadRealtimeWithPID

    MakeThreadRealtimeWithPID (
      IN process t,
      IN thread t,
      IN priority u
    )

process

  Process id

thread

  Thread id

priority

  Priority

### org.freedesktop.portal.Realtime.MakeThreadHighPriorityWithPID

    MakeThreadHighPriorityWithPID (
      IN process t,
      IN thread t,
      IN priority i
    )

process

  Process id

thread

  Thread id

priority

  Priority